Subject: bug#8736: chmod -p --parents

From: [email-masked]
Date: Thu, 26 May 2011 22:13:05 +0200 (CEST)

Hello, 

In the past, I was an advocate of the -p --parents option for 

mkdir. By now this is realised. Now I'm doing the same for chmod. 

I want this option for chmod for the following reason. 

I want my home directory shut. I do this with 

"chmod -R gw-rwx". The problem arises when I want to 

set open some file for group or world. Then I have to set 

open each directory level concerning this file. These 

can be numerious directories. All this is cumbersome, and a 

waist of time and energy. 

I want to be able to execute the following: 

chmod a+rx -p ~/dir1/dir2/dir3/file.ext 
It should be more refined however: the dirs 

should be rx, but the file only r. 

Please let me hear something. 

Best regards, 

Francky Leyn, 

www.Leyn.eu